Page MenuHomePhabricator

Gadgets not working in Korean Wikipedia
Closed, DeclinedPublic

Description

11 gadgets (listed below) in Korean Wikipedia are broken due to forced migration of ResourceLoader.

  • Navigation popups
  • References tooltips
  • UTC live clock
  • Live clock
  • Editsummary
  • exlinks
  • edittop
  • CompareLinks
  • QuickEditCounter
  • RollbackComment
  • copyviolinks

Thanks for your services!

Event Timeline

revi raised the priority of this task from to Normal.
revi updated the task description. (Show Details)
revi added subscribers: revi, Aklapper.

https://ko.wikipedia.org/wiki/MediaWiki:Gadget-UTCLiveClock.js would work. Just add [ResourceLoader] to the corresponding entry on https://ko.wikipedia.org/wiki/MediaWiki:Gadgets-definition file. You should also probably remove the &smaxage=21600&maxage=86400 part on the url.

revi updated the task description. (Show Details)Aug 27 2015, 11:55 AM
revi set Security to None.

https://ko.wikipedia.org/wiki/MediaWiki:Gadget-UTCLiveClock.js would work. Just add [ResourceLoader] to the corresponding entry on https://ko.wikipedia.org/wiki/MediaWiki:Gadgets-definition file. You should also probably remove the &smaxage=21600&maxage=86400 part on the url.

Done.

Assessment for prioritization:

Support: Medium (we can probably assume that a fair number of people want these gadgets to work)
Feasibility: High
Impact: Medium (only 1 wiki, but a major language)
Risk: Low

Priority: Normal

@revi Can you confirm that the gadgets listed above are still broken? Thanks.

@revi Can you confirm that the gadgets listed above are still broken? Thanks.

Not sure about the ones above, but going to https://ko.wikipedia.org/wiki/특수:환경설정#mw-prefsection-gadgets , enabling all gadgets, and going to random pages I get:

@revi Can you confirm that the gadgets listed above are still broken? Thanks.

I think the original error was solved by some date, 2016 but seems there's other problem if Aklapper is right.

Restricted Application added a project: User-revi. · View Herald TranscriptDec 17 2017, 11:11 AM
Aklapper lowered the priority of this task from Normal to Lowest.Dec 17 2017, 11:16 AM

Reflecting priority by lowering it.

revi moved this task from Incoming to Radar on the User-revi board.Dec 17 2017, 11:19 AM

Asked the user to fix it themselves, since it's in user-space.

Uhm, he says he fixed it, but I can't diagnose if this is fixed, since my global.js and common.js is producing a ton of errors.
@Aklapper Can you test if Google-trans is fixed? (If yes, feel free to resolve it.)

@revi: Going to https://ko.wikipedia.org/wiki/사용자:Ykhwong/GoogleTrans.js and using Ctrl+F, there is mw.util.
So I don't see why it should be fixed or why to test.

Ykhwong added a comment.EditedDec 19 2017, 12:10 AM

If the problem still persists, the original author Endo999 should fix the issue first since the script is basically the same as https://en.wikipedia.org/wiki/User:Endo999/GoogleTrans.js.
Also, note that many local wikis such as enwiki, arwiki, simple, hawiki, hiwiki, srwiki, nlwiki, ptwiki, nowiki, sowiki, mswiki, eswiki, ukwiki, mkwiki, and zhwiki completely are based/depend on older or the latest version of it.

Also, note that many local wikis such as enwiki, arwiki, simple, hawiki, hiwiki, srwiki, nlwiki, ptwiki, nowiki, sowiki, mswiki, eswiki, ukwiki, mkwiki, and zhwiki completely are based/depend on older or the latest version of it.

I wonder if https://www.mediawiki.org/wiki/ResourceLoader/Migration_guide_(users)#Keep_gadgets_central could be helpful.

Thanks for the link, but it does not explain how the translations can be handled. That is why I had to keep the script in the local. However, the https://ko.wikipedia.org/wiki/Mediawiki:Gadget-XTools-ArticleInfo.js that I recently created in kowiki refers to the https://www.mediawiki.org/wiki/XTools/ArticleInfo.js on the MediaWiki that is capable of loading Korean translations borrowed from translatewiki.net.

This has nothing to do with the Gadgets PHP extension, hence removing tag.

Aklapper closed this task as Declined.EditedJun 26 2019, 9:08 AM
Aklapper added a subscriber: TBolliger.

Subtask T117588 has been declined.

Furthermore, On-wiki content like user scripts, gadgets, templates, custom CSS are local features and managed independently on each wiki. Phabricator is used for MediaWiki, MediaWiki extensions, or server configuration, or by developers and teams to organize what they plan to work on. As @TBolliger removed Community-Tech from this task (which means that the Community-Tech team does not plan to work on this task) I am declining this task.

This is a matter to discuss and fix on the local wiki and not handled in Phabricator until https://phabricator.wikimedia.org/T121470 gets solved.

See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts how you can find out why exactly a gadget is broken.
See https://www.mediawiki.org/wiki/ResourceLoader/Migration_guide_(users) and https://www.mediawiki.org/wiki/ResourceLoader/Legacy_JavaScript how you can fix that broken code.